# Method SSL.Cipher.lookup()

Method lookup

  `array lookup(int suite, ProtocolVersion|int version)`

Description

  Lookup the crypto parameters for a cipher suite.

Parameter `suite`

  Cipher suite to lookup.

Parameter `version`

  Minor version of the SSL protocol to support.

Returns

  Returns `0` (zero) for unsupported combinations. Otherwise returns an array with the following fields:

  Array
  `KeyExchangeType 0` | Key exchange method.
  `CipherSpec 1` | Initialized CipherSpec for the suite.